## kdevelop 4.7.1

=== CMakeLists.txt ===
# KDevelop version
set( KDEVELOP_VERSION_MAJOR 4 )
set( KDEVELOP_VERSION_MINOR 7 )
set( KDEVELOP_VERSION_PATCH 1 )
# KDevplatform dependency version
set( KDEVPLATFORM_VERSION "1.${KDEVELOP_VERSION_MINOR}.${KDEVELOP_VERSION_PATCH}" )

################################################################################

cmake_minimum_required(VERSION 2.8.9)

project(KDevelop)

set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 4.7.0 REQUIRED)

include (KDE4Defaults)
include (MacroLibrary)
include (MacroOptionalAddSubdirectory)

find_package(QJSON)
# QJSON <=0.7.1 provides variables with lower case prefix, see bug 331426
if (QJSON_VERSION VERSION_LESS "0.7.2")
    set(QJSON_LIBRARIES   ${qjson_LIBRARIES})
    set(QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
endif()

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake from KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
 set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)

include_directories(${KDEVPLATFORM_INCLUDE_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    # in Qt 4, clang support is lacking...
    add_definitions("-DQ_COMPILER_INITIALIZER_LISTS=1")
endif()

# Turn off missing-field-initializers warning to avoid noise from false positives with empty {}
# See discussion: http://mail.kde.org/pipermail/kdevelop-devel/2014-February/046910.html
if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers")
endif()

include_directories(${KDevelop_SOURCE_DIR} ${KDevelop_BINARY_DIR} ${KDE4_INCLUDES} )

# create config.h
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory(cmake)
add_subdirectory(pics)
add_subdirectory(app)
add_subdirectory(formatters)
add_subdirectory(languages)
add_subdirectory(projectbuilders)
add_subdirectory(projectmanagers)
add_subdirectory(debuggers)
add_subdirectory(app_templates)
add_subdirectory(documentation)
add_subdirectory(kdeintegration)
add_subdirectory(utils)
add_subdirectory(file_templates)
add_subdirectory(providers)

macro_optional_add_subdirectory(doc)

macro_display_feature_log()

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== debian/changelog ===
kdevelop (4:4.7.1-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Mar 2015 03:24:05 +0100

kdevelop (4:4.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:03:33 -0700

kdevelop (4:4.7.0-0ubuntu3) vivid; urgency=medium

  * Build without okteta-dev which has moved to KF5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 11:09:39 +0100

kdevelop (4:4.7.0-0ubuntu2) vivid; urgency=medium

  * Remove kde-workspace-dev build-depend, it's removed from archive

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 16:15:29 +0100

kdevelop (4:4.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1362107)

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 Aug 2014 03:03:17 -0700

kdevelop (4:4.6.0-0ubuntu4) utopic; urgency=medium

  * Add cmake to recommends as it is needed for cmake projects and kdevelop
    will fail with an excitingly pointless error message if it is not found.
    Kdevelop can technically also be used without cmake, so cmake
    certainly does not qualify as Dependency.
    LP: #807386

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 02 Jun 2014 10:05:32 +0200

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake,
               debhelper,
               kdevplatform-dev (>= 1.7.0),
               libqjson-dev,
               libqtwebkit-dev,
               pkg-kde-tools,
               shared-mime-info
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git

Package: kdevelop
Architecture: any
Depends: kate-data,
         kdevelop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cmake,
            g++,
            gcc,
            gdb (>= 7.0),
            kdevelop-l10n,
            kdevelop-php-docs-l10n,
            kdevelop-php-l10n,
            libqtwebkit-qmlwebkitplugin,
            make
Replaces: kdevelop-custom-buildsystem
Conflicts: kdevelop-custom-buildsystem
Suggests: kapptemplate
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-doc (<< 4:4.3)
Replaces: kdevelop-doc (<< 4:4.3)
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: kdelibs5-dev,
         kdevelop (= ${binary:Version}),
         kdevplatform-dev,
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

Package: kdevelop-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains debugging symbols for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Replaces: kdevelop-l10n-ca,
          kdevelop-l10n-cavalencia,
          kdevelop-l10n-da,
          kdevelop-l10n-de,
          kdevelop-l10n-engb,
          kdevelop-l10n-es,
          kdevelop-l10n-et,
          kdevelop-l10n-fi,
          kdevelop-l10n-fr,
          kdevelop-l10n-gl,
          kdevelop-l10n-it,
          kdevelop-l10n-nds,
          kdevelop-l10n-nl,
          kdevelop-l10n-pt,
          kdevelop-l10n-ptbr,
          kdevelop-l10n-ru,
          kdevelop-l10n-sl,
          kdevelop-l10n-sv,
          kdevelop-l10n-th,
          kdevelop-l10n-tr,
          kdevelop-l10n-uk,
          kdevelop-l10n-zhcn,
          kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca,
        kdevelop-l10n-cavalencia,
        kdevelop-l10n-da,
        kdevelop-l10n-de,
        kdevelop-l10n-engb,
        kdevelop-l10n-es,
        kdevelop-l10n-et,
        kdevelop-l10n-fi,
        kdevelop-l10n-fr,
        kdevelop-l10n-gl,
        kdevelop-l10n-it,
        kdevelop-l10n-nds,
        kdevelop-l10n-nl,
        kdevelop-l10n-pt,
        kdevelop-l10n-ptbr,
        kdevelop-l10n-ru,
        kdevelop-l10n-sl,
        kdevelop-l10n-sv,
        kdevelop-l10n-th,
        kdevelop-l10n-tr,
        kdevelop-l10n-uk,
        kdevelop-l10n-zhcn,
        kdevelop-l10n-zhtw
Depends: ${misc:Depends}
Recommends: kdevplatform-l10n
Description: localization files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the translations for KDevelop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_install:
	install -D -p -m0644 debian/kdevelop.xpm \
		debian/kdevelop/usr/share/pixmaps/kdevelop.xpm
	$(overridden_command)

override_dh_strip:
	$(overridden_command) --dbg-package=kdevelop-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
	
.PHONY: override_dh_auto_test

## kdevelop 4.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # KDevelop version
 set( KDEVELOP_VERSION_MAJOR 4 )
 set( KDEVELOP_VERSION_MINOR 7 )
-set( KDEVELOP_VERSION_PATCH 1 )
+set( KDEVELOP_VERSION_PATCH 3 )
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVELOP_VERSION_MINOR}.${KDEVELOP_VERSION_PATCH}" )
 
@@ -50,6 +50,7 @@
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
     # in Qt 4, clang support is lacking...
+    add_definitions("-Wno-inconsistent-missing-override -Wno-macro-redefined")
     add_definitions("-DQ_COMPILER_INITIALIZER_LISTS=1")
 endif()

=== app/CMakeLists.txt ===
add_subdirectory(plasma)

########### next target ###############

find_package(SharedMimeInfo REQUIRED)
macro_optional_find_package(KDeclarative)

set(kdevelop_SRCS  main.cpp kdevideextension.cpp splash.cpp)
if(KDECLARATIVE_FOUND)
    set(kdevelop_SRCS ${kdevelop_SRCS}
                   welcomepage/sessionsmodel.cpp welcomepage/welcomepageview.cpp welcomepage/uihelper.cpp)
    add_definitions(-DWITH_WELCOMEPAGE)
	qt4_add_resources(kdevelop_SRCS welcomepage/welcomepage.qrc)
endif(KDECLARATIVE_FOUND)
if(APPLE)
    kde4_add_app_icon(kdevelop_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/kdevelop.png")
else()
    kde4_add_app_icon(kdevelop_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")
endif(APPLE)

kde4_add_executable(kdevelop ${kdevelop_SRCS} )

target_link_libraries(kdevelop
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_SHELL_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4_THREADWEAVER_LIBRARIES}

    ${QT_QTDECLARATIVE_LIBRARIES}
)
if(KDECLARATIVE_FOUND)
    target_link_libraries(kdevelop ${KDECLARATIVE_LIBRARY})
endif(KDECLARATIVE_FOUND)

install(TARGETS kdevelop ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES kdevelop! DESTINATION bin PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

if(APPLE)
    kde4_add_app_icon(kdevelop_bin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/kdevelop.png")
else()
    kde4_add_app_icon(kdevelop_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")
endif(APPLE)

if (APPLE)
    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME KDevelop)
    # We provide our own Info.plist to disable AppNap for KDevelop:
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in)
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KDevelop")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDevelop")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "KDevelop")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_INFO_STRING "The KDevelop Integrated Development Environment")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "KDevelop ${KDEVELOP_VERSION_MAJOR}.${KDEVELOP_VERSION_MINOR}")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDEVELOP_VERSION_MAJOR}.${KDEVELOP_VERSION_MINOR}")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${KDEVELOP_VERSION_MAJOR}.${KDEVELOP_VERSION_MINOR}")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_ICON_FILE "kdevelop_SRCS.icns")
    set_target_properties(kdevelop PROPERTIES MACOSX_BUNDLE_COPYRIGHT "KDevelop Team")
endif (APPLE)


########### install files ###############

install( PROGRAMS kdevelop.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( PROGRAMS kdevelop_ps.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kdeveloprc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdevelopui.rc katepartui.rc kdevelop.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdevelop )
install( FILES kdevelop.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
install( FILES splash.qml DESTINATION ${DATA_INSTALL_DIR}/kdevelop )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

=== debuggers/CMakeLists.txt ===
if(NOT WIN32)
  add_subdirectory(gdb)
endif(NOT WIN32)

=== documentation/CMakeLists.txt ===
macro_log_feature(QT_QTHELP_FOUND "QtHelp" "The Help module for the Qt toolkit, needed for the qthelp plugin" "http://qt-project.org/" FALSE)

if(QT_QTHELP_FOUND)
 macro_optional_add_subdirectory(qthelp)
endif()
macro_optional_add_subdirectory(manpage)

=== formatters/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9000 )

add_subdirectory(astyle)
add_subdirectory(customscript)

=== kdeintegration/CMakeLists.txt ===
macro_optional_add_subdirectory(kdeprovider)
macro_optional_add_subdirectory(executeplasmoid)

=== languages/CMakeLists.txt ===
macro_optional_add_subdirectory(plugins)
macro_optional_add_subdirectory(cpp)
#macro_optional_add_subdirectory(cmake)
#add_subdirectory(fake)
#add_subdirectory(csharp)
#add_subdirectory(java)
#add_subdirectory(ruby)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(zh_TW)
add_subdirectory(ca)
add_subdirectory(hu)
add_subdirectory(nds)
add_subdirectory(nb)
add_subdirectory(de)
add_subdirectory(ca@valencia)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(zh_CN)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(th)
add_subdirectory(ru)
add_subdirectory(fr)

=== app/plasma/CMakeLists.txt ===
add_subdirectory(dataengine)
add_subdirectory(applet)
add_subdirectory(runner)

=== debuggers/gdb/CMakeLists.txt ===
project(gdb)

function(add_debuggable_executable target)
    cmake_parse_arguments(add_debuggable_executable "" "" "SRCS" ${ARGN})
    add_executable(${target} ${add_debuggable_executable_SRCS})
    # force debug symbols for our debuggees, disable optimizations
    if (WIN32)
        set(_flags "/0d")
    else()
        set(_flags "-O0")
    endif()
    set_target_properties(${target} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS_DEBUG} ${_flags}")
endfunction()

if(NOT APPLE)
macro_optional_find_package( KDE4Workspace 4.2.0 )

macro_log_feature( KDE4WORKSPACE_FOUND
"KDE 4 Workspace" "KDE 4 Workspace libraries" "kdebase/workspace" FALSE
"" "Required for building the process selection dialog for attaching GDB to a running process."
)
endif(NOT APPLE)

if(KDE4WORKSPACE_FOUND)
    include_directories(
        ${KDE4WORKSPACE_INCLUDE_DIR}
    )
    add_definitions(
        -DKDEV_ENABLE_GDB_ATTACH_DIALOG
    )
endif(KDE4WORKSPACE_FOUND)

if (CMAKE_VERSION VERSION_GREATER "2.9" OR NOT CMAKE_GENERATOR MATCHES "Ninja")
    set(HAVE_PATH_WITH_SPACES_TEST TRUE)
else()
    message(WARNING "Disabling 'path with spaces' test, this CMake version would create a faulty build.ninja file. Upgrade to at least CMake v3.0")
endif()

add_subdirectory(unittests)
add_subdirectory(printers)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9012 )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

#add_subdirectory(tests)

########### next target ###############

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

set(kdevgdb_PART_SRCS
    gdb.cpp
    debuggerplugin.cpp
    gdbcommandqueue.cpp
    gdbcommand.cpp
    gdbparser.cpp
    stty.cpp
    disassemblewidget.cpp
    memviewdlg.cpp
    gdboutputwidget.cpp
#    debuggertracingdialog.cpp
    breakpointcontroller.cpp
    mi/gdbmi.cpp
    mi/milexer.cpp
    mi/miparser.cpp
    stringhelpers.cpp
    debugsession.cpp
    gdblaunchconfig.cpp
    debugjob.cpp
    selectcoredialog.cpp
    variablecontroller.cpp
    gdbframestackmodel.cpp
    gdbvariable.cpp
    registers/registersview.cpp
    registers/registercontroller.cpp
    registers/registersmanager.cpp
    registers/registercontroller_x86.cpp
    registers/registercontroller_arm.cpp
    registers/modelsmanager.cpp
    registers/converters.cpp
)

if(KDE4WORKSPACE_FOUND)
    set(kdevgdb_PART_SRCS
        ${kdevgdb_PART_SRCS}
        processselection.cpp
    )
endif(KDE4WORKSPACE_FOUND)

set(kdevgdb_PART_UI
    debuggertracingdialog.ui
    debuggerconfigwidget.ui
    selectcore.ui
    selectaddress.ui
    registers/registersview.ui
)

kde4_add_ui_files(kdevgdb_PART_SRCS ${kdevgdb_PART_UI})
kde4_add_plugin(kdevgdb ${kdevgdb_PART_SRCS})
target_link_libraries(kdevgdb ${KDEVPLATFORM_SUBLIME_LIBRARIES}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
    ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4WORKSPACE_PROCESSUI_LIBS}
)

install(TARGETS kdevgdb DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(gdbtest_PART_SRCS
    unittests/gdbtest.cpp
    gdb.cpp
    gdbcommandqueue.cpp
    gdbcommand.cpp
    gdbparser.cpp
    stty.cpp
    disassemblewidget.cpp
    memviewdlg.cpp
    gdboutputwidget.cpp
#    debuggertracingdialog.cpp
    breakpointcontroller.cpp
    mi/gdbmi.cpp
    mi/milexer.cpp
    mi/miparser.cpp
    stringhelpers.cpp
    debugsession.cpp
    variablecontroller.cpp
    gdbframestackmodel.cpp
    gdbvariable.cpp
    registers/registersview.cpp
    registers/registercontroller.cpp
    registers/registersmanager.cpp
    registers/registercontroller_x86.cpp
    registers/registercontroller_arm.cpp
    registers/modelsmanager.cpp
    registers/converters.cpp
)

if(KDE4WORKSPACE_FOUND)
    set(gdbtest_PART_SRCS
        ${gdbtest_PART_SRCS}
        processselection.cpp
    )
endif(KDE4WORKSPACE_FOUND)

kde4_add_ui_files(gdbtest_PART_SRCS
    debuggertracingdialog.ui
    selectaddress.ui
    registers/registersview.ui
)
kde4_add_unit_test(gdbtest ${gdbtest_PART_SRCS})
target_link_libraries(gdbtest
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_SHELL_LIBRARIES}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4_KPARTS_LIBRARY}
    ${KDE4WORKSPACE_PROCESSUI_LIBS}
)

if (HAVE_PATH_WITH_SPACES_TEST)
    set_target_properties(gdbtest PROPERTIES COMPILE_FLAGS "-DHAVE_PATH_WITH_SPACES_TEST")
endif()

########### install files ###############

configure_file(kdevgdb.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevgdb.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevgdb.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kdevgdbui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevgdb )

=== doc/kdevelop/CMakeLists.txt ===
########### install files ###############

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== documentation/manpage/CMakeLists.txt ===

set(kdevmanpage_SRCS
    manpagedocumentation.cpp
    manpageplugin.cpp
    manpagemodel.cpp
    manpagedocumentationwidget.cpp
)

kde4_add_plugin(kdevmanpage ${kdevmanpage_SRCS})
target_link_libraries(kdevmanpage ${KDE4_KDEUI_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
${KDEVPLATFORM_DOCUMENTATION_LIBRARIES} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTGUI_LIBRARY})

install(TARGETS kdevmanpage DESTINATION ${PLUGIN_INSTALL_DIR})
configure_file(kdevmanpage.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevmanpage.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevmanpage.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    manpagedocumentation.css
    DESTINATION ${DATA_INSTALL_DIR}/kdevmanpage
)

=== debian/changelog ===
kdevelop (4:4.7.3-0ubuntu1) xenial; urgency=medium

  * Debian merge: remaining change:
    keep autopkgtest 
  * New upstream bugfix release.
  * Fix watch file. 
  * Fix version.
  * Add dep libkasten3okteta1core1 to fix
    optional dep failure. 
  * Add some more missing kastenokteta libs. 
  * Build is still not happy with kastenokteta
    Adding kasten libs as well. 
  * wrap-and-sort. 
  * Remove okteta kasten support. It has been ported to kf5 and
    not compatible.
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 08:06:52 -0800

kdevelop (4:4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - dont-use-removed-temporaries.diff: drop, backported from upstream
  * Drop menu file and its pixmap, since kdevelop already provides a .desktop
    file.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 22:02:43 +0100

kdevelop (4:4.7.1-2) unstable; urgency=medium

  * Add libkdevcompilerprovider to ensure that code navigation works.
  * Backport patch from upstream to fix a crash when parsing bits/c++config.h.

 -- Sune Vuorela <sune@debian.org>  Sat, 26 Sep 2015 08:41:23 +0200

kdevelop (4:4.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Change section of kdevelop-dev to libdevel.
  * Add ${misc:Depends} in kdevelop-dbg and kdevelop-l10n.

  [ Sune Vuorela ]
  * Make KDevelop recommend kapptemplate to have more meaningful project
    templates available.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump kdevplatform-dev build dependency to 1.7.1.
  * Remove kde-workspace from build dependencies. We no longer provide
    a KDE 4 based workspace.
    - Add libsoprano-dev as a build dependency, it was probably previously
      pulled in by kde-workspace.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Sep 2015 21:10:24 -0300

kdevelop (4:4.7.1-0ubuntu3) vivid; urgency=medium

  * Wrong bug. Fix (LP: #1431965)
  * Wrap and sort. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 12:11:57 -0700

kdevelop (4:4.7.1-0ubuntu2) vivid; urgency=medium

  * Add missing library. (LP: #1417659) 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 12:07:57 -0700

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,33 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake,
-               debhelper,
-               kdevplatform-dev (>= 1.7.0),
+               debhelper (>= 9),
+               kdevplatform-dev (>= 1.7.3),
                libqjson-dev,
                libqtwebkit-dev,
-               pkg-kde-tools,
+               okteta-dev (>= 15.12.1~),
+               pkg-config,
+               pkg-kde-tools (>= 0.9.0),
                shared-mime-info
-Standards-Version: 3.9.4
 XS-Testsuite: autopkgtest
+Standards-Version: 3.9.6
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
-Depends: kate-data,
-         kdevelop-data (>= ${source:Version}),
+Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: cmake,
-            g++,
-            gcc,
-            gdb (>= 7.0),
-            kdevelop-l10n,
-            kdevelop-php-docs-l10n,
-            kdevelop-php-l10n,
-            libqtwebkit-qmlwebkitplugin,
-            make
-Replaces: kdevelop-custom-buildsystem
-Conflicts: kdevelop-custom-buildsystem
-Suggests: kapptemplate
+Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make
+Suggests: cmake, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -62,6 +52,7 @@
  This package contains arch independent data for KDevelop.
 
 Package: kdevelop-dev
+Section: libdevel
 Architecture: any
 Depends: kdelibs5-dev,
          kdevelop (= ${binary:Version}),
@@ -95,6 +86,7 @@
 Package: kdevelop-l10n
 Section: localization
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: kdevelop-l10n-ca,
           kdevelop-l10n-cavalencia,
           kdevelop-l10n-da,
@@ -141,7 +133,6 @@
         kdevelop-l10n-uk,
         kdevelop-l10n-zhcn,
         kdevelop-l10n-zhtw
-Depends: ${misc:Depends}
 Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/man/out
	-rmdir debian/man

override_dh_auto_build:
	dh_auto_build --parallel
	if ! test -d debian/man/out; then mkdir -p debian/man/out; fi
	for f in $$(find debian/man -name '*.man'); do \
		soelim -I debian/man $$f \
		> debian/man/out/`basename $$f .man`.`head -n1 $$f | awk '{print $$NF}'`; \
	done

override_dh_auto_install:
	dh_auto_install
	# Work around a conflict with kapptemplate
	find debian/tmp -type f -name qmake_qt4guiapp.tar.bz2 | xargs rm -fv

override_dh_strip:
	dh_strip --dbg-package=kdevelop-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-([\d.]+).tar.bz2

## kdevelop 5.0.1

=== debian/changelog ===
kdevelop (4:5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Promote the kdevplatform-l10n recommend in kdevelop-l10n to a dependency:
    it is highly unlikely that you want translations for kdevelop without the
    underlying libraries translated.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:02:17 +0200

kdevelop (4:5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Bump the kdevplatform-dev (build) dependency to >= 5.0.1.
  * Bump the llvm-3.8-dev, and libclang-3.8-dev to >= 1:3.8.1, to avoid
    building with older LLVM versions.
  * Add the kio-extras recommend in kdevelop, as it is used for browsing the
    man documentation.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Sep 2016 23:18:33 +0200

kdevelop (4:5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784483)
    - the Frameworks version of kdoctools does not create "common" symlinks
      anymore (Closes: #787409)
  * Update the build dependencies following the port to Frameworks:
    - remove libqjson-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev, qttools5-dev,
      qttools5-dev-tools, libqt5webkit5-dev, libkf5config-dev, libkf5crash-dev,
      libkf5declarative-dev, kdoctools-dev, libkf5iconthemes-dev,
      libkf5i18n-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
      libkf5jobwidgets-dev, libkf5kcmutils-dev, kio-dev, libkf5newstuff-dev,
      libkf5notifyconfig-dev, libkf5parts-dev, libkf5service-dev,
      libkf5texteditor-dev, libkf5threadweaver-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, and kdevelop-pg-qt
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevplatform-dev to >= 5.0
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - fix-parallel.diff: drop, no more needed
  * Add the llvm-3.8-dev and libclang-3.8-dev build dependencies for the C++
    language support; specifically pick version 3.8 since it is what mesa uses,
    and it is thus loaded when using QML stuff.
  * Update install files.
  * Disable building of unit tests, as long as they are not run.
  * Pass --list-missing to dh_install.
  * Update lintian overrides.
  * Install qmake_qt4guiapp.tar.bz2 again, since the conflict with kapptemplate
    should be long gone.
  * Remove the kdelibs5-dev dependency in kdevelop-dev, and bump the
    kdevplatform-dev one to >= 5.0.
  * Add the okteta-dev build dependency to enable the okteta plugin; the minimum
    version ensures okteta-dev is fixed and depends on all the libraries for
    which it provides headers.
  * Add the libkf5sysguard-dev build dependency to enable again the process
    attaching functionalities. (Closes: #803953)
  * Add a new plasma-kdevelop package with the Plasma/KRunner plugins:
    - add the libkf5plasma-dev, and libkf5runner-dev build dependencies
    - add everything for Linux only, since the needed libraries are not fully
      available on non-Linux architectures

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 19:36:35 +0200

kdevelop (4:4.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kdevelop-dbg in favour of the -dbgsym packages.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:21:14 +0200

kdevelop (4:4.7.3-2) unstable; urgency=medium

  * Team upload to unstable.
  * Remove optional okteta-dev from build dependencies in order to let the KF5
    version of it enter unstable.
    - Adjust kdevelop-data.install accordingly.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 18:25:25 -0300

kdevelop (4:4.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump kdevplatform-dev build dependency to 1.7.3.
  * Improve uscan to search for different compression methods in tarballs
    and to repack the tarball with xz compression if necessary.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 30 Apr 2016 15:02:31 -0300

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,55 @@
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdevplatform-dev (>= 1.7.3),
-               libqjson-dev,
-               libqtwebkit-dev,
-               okteta-dev (>= 15.12.1~),
+               extra-cmake-modules (>= 0.0.9),
+               qtbase5-dev (>= 5.4.0),
+               qtdeclarative5-dev (>= 5.4.0),
+               qttools5-dev,
+               qttools5-dev-tools,
+               libqt5webkit5-dev (>= 5.4.0),
+               libkf5config-dev (>= 5.15.0),
+               libkf5crash-dev (>= 5.15.0),
+               libkf5declarative-dev (>= 5.15.0),
+               libkf5doctools-dev (>= 5.15.0),
+               libkf5iconthemes-dev (>= 5.15.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5itemmodels-dev (>= 5.15.0),
+               libkf5itemviews-dev (>= 5.15.0),
+               libkf5jobwidgets-dev (>= 5.15.0),
+               libkf5kcmutils-dev (>= 5.15.0),
+               libkf5kio-dev (>= 5.15.0),
+               libkf5newstuff-dev (>= 5.15.0),
+               libkf5notifyconfig-dev (>= 5.15.0),
+               libkf5parts-dev (>= 5.15.0),
+               libkf5service-dev (>= 5.15.0),
+               libkf5texteditor-dev (>= 5.15.0),
+               libkf5threadweaver-dev (>= 5.15.0),
+               libkf5windowsystem-dev (>= 5.15.0),
+               libkf5xmlgui-dev (>= 5.15.0),
+               kdevelop-pg-qt (>= 2.0),
+               kdevplatform-dev (>= 5.0.1),
+               okteta-dev (>= 4:16.08.0-1~),
+               libkf5sysguard-dev,
+               libkf5plasma-dev [linux-any],
+               libkf5runner-dev [linux-any],
                pkg-config,
-               pkg-kde-tools (>= 0.9.0),
-               shared-mime-info
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
+               pkg-kde-tools (>= 0.15.16),
+               shared-mime-info,
+               llvm-3.8-dev (>= 1:3.8.1),
+               libclang-3.8-dev (>= 1:3.8.1),
+Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make
+Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, make, kio-extras
 Suggests: cmake, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -54,9 +82,8 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: any
-Depends: kdelibs5-dev,
-         kdevelop (= ${binary:Version}),
-         kdevplatform-dev,
+Depends: kdevelop (= ${binary:Version}),
+         kdevplatform-dev (>= 5.0.1),
          ${misc:Depends}
 Description: development files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
@@ -68,25 +95,11 @@
  .
  This package contains development files for KDevelop.
 
-Package: kdevelop-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kdelibs5-dbg, kdevelop (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for KDevelop
- KDevelop is an easy to use integrated development environment for KDE.
- It supports a wide range of programming languages and features project
- management, an advanced editor, a class browser and an integrated debugger.
- .
- The application wizard can generate fully functional projects
- for terminal programs and GUI programs using Qt, KDE or GNOME.
- .
- This package contains debugging symbols for KDevelop.
-
 Package: kdevelop-l10n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: kdevplatform-l10n,
+         ${misc:Depends}
 Replaces: kdevelop-l10n-ca,
           kdevelop-l10n-cavalencia,
           kdevelop-l10n-da,
@@ -133,10 +146,25 @@
         kdevelop-l10n-uk,
         kdevelop-l10n-zhcn,
         kdevelop-l10n-zhtw
-Recommends: kdevplatform-l10n
 Description: localization files for the KDevelop IDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
  management, an advanced editor, a class browser and an integrated debugger.
  .
  This package contains the translations for KDevelop.
+
+Package: plasma-kdevelop
+Architecture: linux-any
+Depends: kdevelop (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: KDevelop plugins for Plasma
+ KDevelop is an easy to use integrated development environment for KDE.
+ It supports a wide range of programming languages and features project
+ management, an advanced editor, a class browser and an integrated debugger.
+ .
+ This package contains the KDevelop plugins for integrating in the Plasma
+ desktop environment:
+  * sessions data engine
+  * sessions widget
+  * sessions KRunner module
